import numpy as np
from matplotlib import pyplot as plt
import sys

sys.path.insert(0, '../../algorithms/distance/')

from rmsdiff import rmsdiff

IMAGE_SIZE = 64

def randomImage(scale):
    # Is `np.clip` necessary?
    return np.round(np.random.normal(loc = 0, scale = scale, size = (IMAGE_SIZE, IMAGE_SIZE)))

prnu = randomImage(scale = 1)

plt.imshow(prnu)
plt.show()

images = [randomImage(scale = 10) + prnu for _ in range(10)]

for image in images:
    print(rmsdiff(image, prnu))
    print(rmsdiff(contextAdaptiveInterpolator(image), prnu))